using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace MessageServer
{
    // NOTE: If you change the interface name "IMessageService" here, you must also update the reference to "IMessageService" in App.config.
    [ServiceContract]
    public interface IMessageService
    {
        [OperationContract]
        void DoWork();

        [OperationContract(IsOneWay = true)]
        void SetMessage(string msg);
    }
}
